<? 
include_once("valida_sessao.php");
protegePagina(); 
include_once("adm_head.php");
?>

<span class="dir">Alterar/Excluir Banners</span>
</div>


<div id="conteudo">

<!-- Formulário de busca -->
<form action="busca.php" method="post">
<div class="busca">
<select name="campo">
<option value="b.id">ID</option>
<option value="b.descricao" selected="selected">Descrição</option>
</select>
<input type="text" name="busca" value="*"/>
<input type="hidden" name="arq" value="<? echo $_SERVER['PHP_SELF'] ?>" />
<input type="submit" value="Buscar" />
</div>
<!-- FIM Formulário de busca -->

<?php
include_once("config.php");

//paginação
include_once("pag_ini.php");
$ajax = 0;
$total = 1;
//fim paginação


if (isset($_GET['acao'])){
	if ($_GET['acao']=="remover") {
	
		$id = addslashes($_GET['id']);
		
		$qry = "SELECT * FROM bnr_ban_imagens WHERE id = $id";
		$consulta = mysqli_query($conn, $qry);
		$result = mysqli_fetch_array($consulta);   		
		
		$delete = "DELETE FROM bnr_ban_imagens WHERE id = $id";
   		mysqli_query($conn, $delete);
		
		//deleta conta
		$delete = "DELETE FROM bnr_rel_banner_clicks WHERE id = $id";
		mysqli_query($conn, $del);
		
		$delete = "DELETE FROM bnr_rel_banner_views WHERE id = $id";
		mysqli_query($conn, $del);
		
		
		if($result['imagem']!=""){
			unlink("../".$result['imagem']);
		}
	}
}

include_once("utf8.php");

//alteração pra busca na mesma pagina
$sql = "SELECT *, b.descricao as d FROM bnr_ban_imagens as b INNER JOIN bnr_ban_tamanho as c ON b.id_tamanho = c.id_tamanho ";
	echo "<input type=\"hidden\" name=\"qry\" value=\"$sql\" /> </form>";	
	
if(isset($_POST['qry'])){
	$qry = $_POST['qry'];
	$qry = str_replace('\\','',$qry);		
}else{
	$qry = "SELECT *, b.descricao as d FROM bnr_ban_imagens as b INNER JOIN bnr_ban_tamanho as c ON b.id_tamanho = c.id_tamanho ORDER by id ASC";
}

//alteração pra busca na mesma pagina

$consulta = mysqli_query($conn, $qry.$sqlFinal);

//navegador de paginação
include_once("pag_fim.php");
//fim navegador de paginação

?>
<table align="center" class="exibe form">
<tr>
		<th width="1">ID</th>
        <!-- th>Link</th -->
        <th>Descrição</th>
		<th>Tamanho</th>		
        <th width="1">Status</th>
        <th width="1">Alterar</th>
        <th width="1">Excluir</th>
</tr>

<?

while ($linha = mysqli_fetch_array($consulta)) {
?>
  <tr>
      <td>
      	<?php echo $linha['id']; ?>
      </td>

      <!-- td nowrap="nowrap">
      	<a href="<?php echo $linha['link']; ?>"><?php echo $linha['link']; ?> </a>
      </td -->

      <td>
      <?php  echo $linha['d']; ?>
      </td>
      <td>  
      	<?php echo $linha['descricao']; ?>
      </td>      
    <td><? if($linha['ativo']==0) { echo "<img src='imagem/red_button.png' />"; } 
	else { echo "<img src='imagem/green_button.png' />"; } ?></td>
      <td>      
         <input type="image" src="imagem/editar.png" onclick="location.href = 'bnr_alt.php?id=<?php echo $linha['id']; ?>'">
      </td> 
      <td>  
         <input type="image" src="imagem/excluir.png" value="Submit" name="acao" onclick="confirma_bnr(<?php echo $linha['id']; ?>)">      
      </td>    
    </tr>
<?php
}
mysqli_close($conn);
?>
</table>
</div>
<? include_once("adm_foot.php"); ?>